<!-- [formGroup]="registerform" (ngSubmit)="register()" -->
<form class="" [formGroup]="registerform" (ngSubmit)="Submitprofile()">
    <h3><b>Profil de la boutique</b></h3>
    <div class="mb-3 mt-3">
        <label for="name" class="form-label"><span class="star">*</span>Nom de la boutique</label>
        <input type="text" class="form-control" id="name" name="name" required formControlName="shopname">
    </div>
    <div class="errormsg" *ngIf="registerform.get('shopname')?.touched && registerform.get('shopname')?.hasError('required')">
        <h4> <b> Le nom du magasin est obligatoire</b></h4>

    </div>

    <div class="mb-3 mt-3">
        <label for="name" class="form-label"><span class="star">*</span>Adresse la ramassage</label>
        
        <input type="text" class="form-control mar-ker" id="" placeholder="Votre position"  formControlName="pickupaddress" name="" (onAddressChange)="handleAddressChange2($event)" ngx-google-places-autocomplete>

    </div>
    <div class="errormsg" *ngIf="registerform.get('pickupaddress')?.touched && registerform.get('pickupaddress')?.hasError('required')">
        <h4> <b> Le nom du magasin est obligatoire</b></h4>

    </div>

    <div class="mb-3 mt-3">
        <label for="name" class="form-label">Image de la bannière de la boutique</label>
        <!-- <input type="file" class="form-control" id="name" name="name" > -->
        <div class="fo-rm">
            <input class="fom-up" type="file" (change)="onFileUpdate($event)">
            <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                <i class="fa fa-upload"></i>
            </p>

        </div>
        <div class="fo-rm showimage" *ngIf="image">
            <img src="{{image}}" alt="" class="image-show" width="146x" height="96px">

        </div>
    </div>

    <div class="mb-3 mt-3">
        <label for="name" class="form-label"><span class="star">*</span>Description de la boutique</label>
        <input type="text" class="form-control" id="name" name="name" formControlName="shopdesc">
    </div>
    <div class="errormsg" *ngIf="registerform.get('pickupaddress')?.touched && registerform.get('pickupaddress')?.hasError('required')">
        <h4> <b> Le nom du magasin est obligatoire</b></h4>

    </div>

    <button type="submit" class="btn btn-signs"><b>Mise à jour du profil</b></button>
    <div class="comeBack_up" *ngIf="getstatus">
        <div *ngIf="getstatus.status == false; else loggedOut">
            <br>
            <div class="alert alert-danger"><strong>{{ getstatus.message }}</strong></div>
        </div>
        <ng-template #loggedOut>
            <br>
            <div class="alert alert-success"><strong>{{ getstatus.message }}</strong></div>
        </ng-template>
    </div>
    <button mat-button mat-dialog-close class="btn btn-signs" style="color: #fff !important;"><b>fermer</b></button>

</form>